curl --request PATCH \
--url https://test-api.pasca.co/api/v1/einvoice/update/{IRN} \
--header 'API-KEY: <api-key>' \
--header 'API-SECRET: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_status": "REJECTED",
"reference": "payment_reference_or_note"
}
'{
"status": false,
"code": 400,
"message": "Failed to validate invoice",
"data": null,
"error": {
"id": "5c4c008e-8f1e-4034-a96b-8b352c143da5",
"handler": "invoice_actions",
"details": "this business does not exist",
"public_message": "validation failed"
},
"timestamp": "2025-12-23T14:54:12.477393Z"
}PATCH /api/v1/einvoice/update/
curl --request PATCH \
--url https://test-api.pasca.co/api/v1/einvoice/update/{IRN} \
--header 'API-KEY: <api-key>' \
--header 'API-SECRET: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"payment_status": "REJECTED",
"reference": "payment_reference_or_note"
}
'{
"status": false,
"code": 400,
"message": "Failed to validate invoice",
"data": null,
"error": {
"id": "5c4c008e-8f1e-4034-a96b-8b352c143da5",
"handler": "invoice_actions",
"details": "this business does not exist",
"public_message": "validation failed"
},
"timestamp": "2025-12-23T14:54:12.477393Z"
}/api/v1/einvoice/update/{IRN}
curl -X PATCH "{{BASE_URL}}/api/v1/einvoice/update/{IRN}" \
-H "API-KEY: <your_api_key>" \
-H "API-SECRET: <your_api_secret>" \
-H "Accept: application/json"
{
"payment_status": "REJECTED",
"reference": "payment_reference_or_note"
}
{
"status": false,
"code": 400,
"message": "Failed to validate invoice",
"data": null,
"error": {
"id": "5c4c008e-8f1e-4034-a96b-8b352c143da5",
"handler": "invoice_actions",
"details": "this business does not exist",
"public_message": "validation failed"
},
"timestamp": "2025-12-23T14:54:12.477393Z"
}
{
"status": false,
"code": 401,
"message": "Unauthorized",
"data": null,
"error": {
"details": "invalid or missing API credentials"
}
}